Loading...
Searching...
No Matches
search_n.hpp File Reference

## Functions

template<typename I , typename S , typename V , typename C = equal_to, typename P = identity> requires forward_iterator<I> && sentinel_for<S, I> && indirectly_comparable<I, V const *, C, P>
constexpr subrange< I > | ranges::search_n (I first, S last, iter_difference_t< I > cnt, V const &val, C pred=C{}, P proj=P{})
| function template `search_n`
template<typename Rng , typename V , typename C = equal_to, typename P = identity> requires forward_range<Rng> && indirectly_comparable<iterator_t<Rng>, V const *, C, P>
constexpr borrowed_subrange_t< Rng > | ranges::search_n (Rng &&rng, iter_difference_t< iterator_t< Rng > > cnt, V const &val, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.